Skip to main content
POST
Create Schema

Authorizations

Authorization
string
header
required

An API key or OAuth2/OIDC access token sent as Authorization: Bearer <token>.

Path Parameters

workspace_id
string
required
catalog_id
string
required

Query Parameters

schemaId
string
required

Body

application/json

A SQL-visible schema owned by its parent catalog.

spec
SchemaSpec · object
required

Definition used to construct this schema.

name
string
default:""

Resource name in the form workspaces/{workspace}/catalogs/{catalog}/schemas/{schema}.

The terminal resource ID is the SQL-visible schema name.

Pattern: ^workspaces/[a-z0-9](?:[a-z0-9._~-]*[a-z0-9])?/catalogs/[a-z][a-z0-9_]{0,62}/schemas/[a-z][a-z0-9_]{0,62}$
createTime
string<date-time> | null

Time at which the schema was created.

updateTime
string<date-time> | null

Time at which the schema was most recently updated.

revision
integer
default:0

Monotonically increasing revision of this schema definition.

revisionHash
string
default:""

Lowercase SHA-256 hash of the canonical stored schema definition.

Response

Successful Response

A SQL-visible schema owned by its parent catalog.

name
string
required

Resource name in the form workspaces/{workspace}/catalogs/{catalog}/schemas/{schema}.

The terminal resource ID is the SQL-visible schema name.

Pattern: ^workspaces/[a-z0-9](?:[a-z0-9._~-]*[a-z0-9])?/catalogs/[a-z][a-z0-9_]{0,62}/schemas/[a-z][a-z0-9_]{0,62}$
spec
SchemaSpec · object
required

Definition used to construct this schema.

createTime
string | null

Time at which the schema was created.

updateTime
string | null

Time at which the schema was most recently updated.

revision
string
default:0

Monotonically increasing revision of this schema definition.

revisionHash
string
default:""

Lowercase SHA-256 hash of the canonical stored schema definition.